# Uses of Class
org.italiangrid.voms.request.impl.ACGenerationParams

Packages that use ACGenerationParams
Package
Description
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.

## Uses of ACGenerationParams in org.italiangrid.voms.request.impl

Methods in org.italiangrid.voms.request.impl that return ACGenerationParams
Modifier and Type
Method
Description
`ACGenerationParams`
ACGenerationParams.Builder.`build()`
Builds the `ACGenerationParams` instance.
`static ACGenerationParams`
ACGenerationParams.`fromSystemProperties()`
Constructs an `ACGenerationParams` instance from system properties.
`ACGenerationParams`
FakeVOMSACService.`getAcParams()`
Methods in org.italiangrid.voms.request.impl with parameters of type ACGenerationParams
Modifier and Type
Method
Description
`static FakeVOMSACService`
FakeVOMSACService.`newInstance(eu.emi.security.authn.x509.X509Credential aaCredential, ACGenerationParams params, VOMSRequestListener listener)`
`void`
FakeVOMSACService.`setAcParams(ACGenerationParams acParams)`